<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.


/**
 * Defines the capabilities for the ZiLink block
 *
 * @package     local_zilink
 * @author      Ian Tasker <ian.tasker@schoolsict.net>
 * @copyright   2010 onwards SchoolsICT Limited, UK (http://schoolsict.net)
 * @copyright   Includes sub plugins that are based on and/or adapted from other plugins please see sub plugins for credits and notices. 
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

    defined('MOODLE_INTERNAL') || die();
/*
==============================================
    Moodle Required Plugin Text
==============================================
*/

/* 
=============================================
    Moodle Permission Text
=============================================
*/

/*
==============================================
    ZiLink Block Text
==============================================
*/

$string['categories'] = 'Categories';

$string['categories_title'] = 'Category Creation';
$string['categories_title_desc'] = 'Configure ZiLink for Moodle to create a category structure for your courses using information from your school management information system.';

$string['categories_page_title'] = $string['zilink'] .' '.$string['categories'];

$string['categories_settings'] = $string['categories'];


$string['categories_create'] = 'Auto Create';
$string['categories_view'] = 'View';
$string['categories_delete'] = 'Delete';


$string['categories_category_creation'] = 'Category Creation';
$string['categories_root_category'] = 'Root Category';
$string['categories_root_category_help'] = 'Select the parent category for your ZiLink for Moodle created courses';

$string['categories_category_structure'] = 'Categories Structure';
$string['categories_category_structure_help'] = 'Select the category structure you want ZiLink to create';

$string['categories_category_sorting'] = 'Sort Categories';
$string['categories_category_sorting_help'] = 'Select Enable if you want ZiLink to sort your categories into alphabetical order';

$string['categories_support_desc'] = 'More information about ZiLink Categories is avaliable on our ';

$string['categories_stucture_none'] = 'None';
$string['categories_stucture_subject_only'] = 'Subject Categories Only';
$string['categories_stucture_subject_and_year'] = 'Subject Category and Year Sub Category';

