<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.


/**
 * Defines the capabilities for the ZiLink block
 *
 * @package     local_zilink
 * @author      Ian Tasker <ian.tasker@schoolsict.net>
 * @copyright   2010 onwards SchoolsICT Limited, UK (http://schoolsict.net)
 * @copyright   Includes sub plugins that are based on and/or adapted from other plugins please see sub plugins for credits and notices. 
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

    defined('MOODLE_INTERNAL') || die();

/*
==============================================
    Moodle Required Plugin Text
==============================================
*/

/* 
=============================================
    Moodle Permission Text
=============================================
*/

/*
==============================================
    ZiLink Block Text
==============================================
*/

$string['timetable'] = 'Timetable';
$string['timetable_page_title'] = 'ZiLink Timetable';
$string['timetable_title'] = 'Timetable Settings';
$string['timetable_title_desc'] = 'Use this page to configure the ZiLink Timetable.';

$string['timetable_settings'] = $string['timetable'];

$string['zilink:timetable_viewown'] = 'Timetable - View Own Timetable';
$string['zilink:timetable_viewothers'] = 'Timetable - View Other User Timetable';

$string['timetable_start_day'] = 'First Day';
$string['timetable_start_day_help'] = 'Select which day does your timetable starts on';

$string['timetable_period_time_offset'] = 'Time Offset';
$string['timetable_period_time_offset_help'] = 'Select time offset if the times shown on the timetable are is incorrect';

$string['timetable_display_period_time'] = 'Show Period Times';
$string['timetable_display_period_time_help'] = 'Show period times on the timetable';


$string['timetable_first_week'] = 'First Week   Period Times';
$string['timetable_first_week_help'] = 'Which timetable week did your academic year start on?';

$string['timetable_offset'] = 'Timetable Offset';
$string['timetable_offset_help'] = 'ZiLink for Moodle will create multiple timetables based upon the number of periods in a day. Select the correct timetable if ZiLink for Moodle has created more than one timetable.';

$string['timetable_mytimetable'] = 'My Timetable';

$string['timetable_back'] = 'Back';
$string['timetable_end'] = 'End';
$string['timetable_room'] = 'Room';
$string['timetable_start'] = 'Start';
$string['timetable_subject'] = 'Subject';
$string['timetable_teacher'] = 'Teacher';

$string['timetable_loading'] = 'Loading Timetable';
$string['timetable_updatesuccess'] = 'Timetable Updated';
$string['timetable_updatefailed'] = 'Timetable Update Failed';

$string['timetable_firstday'] = 'First Day';
$string['timetable_firstday_desc'] = 'Select which day does your timetable starts on';

$string['timetable_support_desc'] = 'For more information about configuring the ZiLink Timetable please see our ';

$string['timetable_week_format'] = 'Timetable Week Format';
$string['timetable_week_format_help'] = 'Select the correct week format for your timetable';
$string['timetable_single_week'] = 'Single Week (default)';
$string['timetable_week_a_b'] = '2 Week (Week A/B)';
$string['timetable_week_1_2'] = '2 Week (Week 1/2)';

$string['timetable_room_label'] = 'Room Label';
