<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.


/**
 * Defines the capabilities for the ZiLink block
 *
 * @package     local_zilink
 * @author      Ian Tasker <ian.tasker@schoolsict.net>
 * @copyright   2010 onwards SchoolsICT Limited, UK (http://schoolsict.net)
 * @copyright   Includes sub plugins that are based on and/or adapted from other plugins please see sub plugins for credits and notices. 
 * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

    defined('MOODLE_INTERNAL') || die();

require_once(dirname(__FILE__) . '/../../../../config.php');
require_once(dirname(dirname(__FILE__)) . '/core/security.php');
require_once($CFG->libdir . '/tablelib.php');

require_login();

$security = new ZiLinkSecurity();
if (!$security->IsAllowed('local/zilink:zimbra_view'))
{
    redirect($CFG->wwwroot, '', 0);
}

$timestamp=time()*1000;
$preauthToken=hash_hmac("sha1",$USER->email."|name|0|".$timestamp,$CFG->zilink_zimbra_preauth_key);
$preauthURL = $CFG->zilink_zimbra_url."?account=".$USER->email."&by=name&timestamp=".$timestamp."&expires=0&preauth=".$preauthToken.'&redirectURL=/zimbra/h/';
header("Location: $preauthURL");